/***************************************************************************
                          FileDLG.h  -  description
                             -------------------
   Stuff needed for handling the open file dialog.
                             -------------------
    begin                : Fri Feb 4 2005
    copyright            : (C) 2005 by Dennis Lew
    email                : dennis_L76@yahoo.ca
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef __FILEDLG_H__
#define __FILEDLG_H__

#ifndef WIN32_LEAN_AND_MEAN
# define WIN32_LEAN_AND_MEAN
#endif
#include <windows.h>
#include <commdlg.h>

/* Public constants / globals */
#define FILEDLG_NAMELEN    1024
#define FILEDLG_LOADFLAGS  (OFN_FILEMUSTEXIST | OFN_PATHMUSTEXIST | OFN_ALLOWMULTISELECT)
#define FILEDLG_SAVEFLAGS  (OFN_NOREADONLYRETURN | OFN_OVERWRITEPROMPT)

extern char         FileDLG_filename[];
extern OPENFILENAME FileDLG;

#ifdef __cplusplus
extern "C" {
#endif

void FileDLG_init(HWND parent);

#ifdef __cplusplus
};
#endif

#endif

